Subject: RE: Bug Report: CVS often fails in scripts under Cygwin
From: Earnie Boyd <[email-masked]>
To: Josh Schulte <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Thu, 21 Sep 2000 12:08:41 -0700 (PDT)

--- Josh Schulte <[email-masked]> wrote:
> 
> Do I or do I not want \r\n? I wrote the scripts in windows so the shell
> script will have them. What is a good way to double check. I am not sure
> what perl does when it sends the commands to the shell (\r\n or just \n) it
> starts with system().
> 

Well since cvs is trying to open a file name foo\r and since foo\r is an
illegal filename for Win32; then, you don't want \r\n line endings.  Have you
updated you Cygwin recently?  IIRC, both ash and bash were modified to read
script files in text mode so that these problems don't occur.

To modify your file you can:
  cp foo.sh foo.tmp
  tr -d '\r' < foo.tmp > foo.sh
  rm foo.tmp

This will delete all \r's in the file.

Cheers,

=====
--- <http://earniesystems.safeshopper.com> ---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]